// SDRxxServerDlg.h : header file
//

#if !defined(AFX_SDRxxServerDLG_H__323F208F_0CD4_4A89_9B89_EC48D321EF4F__INCLUDED_)
#define AFX_SDRxxServerDLG_H__323F208F_0CD4_4A89_9B89_EC48D321EF4F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "USBsocket.h"
#include "DiscoverServer.h"


/////////////////////////////////////////////////////////////////////////////
// CSDRxxServerDlg dialog

class CSDRxxServerDlg : public CDialog
{
// Construction
public:
	CSDRxxServerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSDRxxServerDlg)
	enum { IDD = IDD_SDRXXSERVER_DIALOG };
	CStatic	m_USBStatusCtrl;
	CStatic	m_SocketStatusCtrl;
	int	m_PortNumber;
	CString	m_SocketStatusTxt;
	CString	m_HostIDTxt;
	CString	m_SNFilterStr;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSDRxxServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSDRxxServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStartbutton();
	afx_msg void OnStopbutton();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CUSBsocket m_UsbSocket;
	CDiscoverServer m_DiscoverServer;
	UINT m_TimerID;
	BOOL m_Running;
	BOOL m_LastConnected;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDRxxServerDLG_H__323F208F_0CD4_4A89_9B89_EC48D321EF4F__INCLUDED_)
